---
title: "GET /_system/security/methods/qr - System Security · RUAL Documentation"
description: "Get QR code for TOTP authenticator setup"
canonical: https://docs.rual.nl/cluster/api/system-security/system-security-methods-qr-get
language: en
---

# GET /_system/security/methods/qr

Get QR code for TOTP authenticator setup

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

```
{
  "qr_code_url": "https://test-blueprints.rual.dev",
  "secret": "JBSWY3DPEHPK3PXP"
}
```

```
{
  "error": "ERROR_KEY"
}
```

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `users_twofactorauth_view` | Required scope: users_twofactorauth_view |
